Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawablePolyline Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePolyline:
[legend]
Collaboration diagram for Magick::DrawablePolyline:
[legend]

## Public Member Functions
| DrawablePolyline (const CoordinateList &coordinates_)
| DrawablePolyline (const DrawablePolyline &original_)
| ~DrawablePolyline (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1293 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawablePolyline() [1/2]

Magick::DrawablePolyline::DrawablePolyline | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 961 of file Drawable.cpp.

## ◆ DrawablePolyline() [2/2]

Magick::DrawablePolyline::DrawablePolyline | ( | const DrawablePolyline & | original_ | ) |

Definition at line 966 of file Drawable.cpp.

## ◆ ~DrawablePolyline()

Magick::DrawablePolyline::~DrawablePolyline | ( | void |  | ) |

Definition at line 971 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawablePolyline::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 994 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawablePolyline::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 975 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp